package a.c.b.z;

import a.c.b.s;
import java.io.Closeable;
import java.io.IOException;
import java.util.concurrent.Future;

public interface f extends Closeable {

    public interface a {
        void a(s sVar) throws InterruptedException;
    }

    String a();

    <T> Future<T> a(s sVar, long j, c<T> cVar);

    Future<Boolean> a(s sVar, e eVar);

    void a(s sVar);

    void a(Throwable th);

    void a(boolean z);

    boolean b();

    String c();

    boolean d();

    Future<Boolean> e() throws IOException;

    int f();

    b g();

    void h();

    void i();
}
